Update password using request token
PATCH /users/password
PATCH
/users/password
Will update the password for the user using request token retrieved from otp verification
Flow:
- Validate request.
- password and requestToken are required.
- Validate the password length >=8.
- Validate that new password is different from current password. - Decode the jwt token and validate claims.Usage should be reset_password.
- Update the user password in the database.
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ”UpdatePasswordRequest
object
newPassword
string
1234567890 requestToken
Jwt token
string
jwtTokenResponses
Section titled “ Responses ”No Content
Bad request - Invalid request format, password too short, or new password is the same as current password
object
error
string
some meaningful error messageUnauthorized
object
error
string
some meaningful error messageForbidden
object
error
string
some meaningful error messageInternal server error
object
error
string
some meaningful error message